def main() :
    a = int(input("자연수 a를 입력하라.: "))   # 사용자로부터 자연수를 입력받음
    print("자연수 a의 약수들은 다음과 같다.")

    # 해당 for 문은 a의 약수들을 찾아서 출력
    for i in range(1, a + 1) :
        # a를 i로 나눌 때 나머지가 0이면 i가 a의 약수임
        if a% i == 0:
            print(i, end = " ")
    print()

if __name__ == "__main__" :
    main()
